<div>
  <h1>Vehicles</h1>

  <div>
    Number of vehicles:
    <input type="number" min="0" max="30" [(ngModel)]="count" (change)="update()" />
    <button type="button" (click)="update()">
      <i class="fas fa-redo"></i> Update
    </button>
    <button type="button" (click)="shuffle()">
      <i class="fas fa-random"></i> Shuffle
    </button>
  </div>

  <table *ngIf="hasVehicles">
    <thead>
      <tr>
        <th>#</th> <th>Type</th> <th>Name</th> <th>Price</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let v of vehicles; index as idx; odd as isOdd" [ngClass]="{highlight:isOdd}">
        <td>{{idx+1}}</td>
        <td><i class="fas fa-{{v.icon}}"></i></td>
        <td>{{v.name}}</td>
        <td>{{v.price | currency:'GBP':'symbol'}}</td>
      </tr>
    </tbody>
  </table>

  <p *ngIf="!hasVehicles" class="error">
    Sorry, no vehicles here.
  </p>
</div>
